//
// Date+formatDateET.swift
// IceGlass
//
// Copyright 2026 Rouslan Zenetl. All Rights Reserved.
//

import Foundation

extension Date {
    func formatDateET(format: String = "MMMM, d yyyy @ h:mm a z") -> String {
        let formatter = DateFormatter()
        formatter.timeZone = TimeZone(identifier: "America/New_York")
        formatter.dateFormat = format
        return formatter.string(from: self)
    }

    static var ISO8601: String {
        "yyyy-MM-dd'T'HH:mm:ssZ"
    }
}
